GetACDHistory

View as Markdown

Gets the ACD history.

Allowed roles: Owner, Admin, Developer, Supervisor, User manager.

Example request: Get the two ACD session history records from the 2012-01-01 00:00:00 to the 2014-04-01 00:00:00.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

from_datestringRequired

The UTC ‘from’ date filter in 24-h format: YYYY-MM-DD HH:mm:ss

to_datestringRequired

The UTC ‘to’ date filter in 24-h format: YYYY-MM-DD HH:mm:ss

acd_session_history_idlist of integersOptional

The ACD session history ID list separated by semicolons (;)

acd_request_idlist of stringsOptional

The ACD request ID list separated by semicolons (;)

acd_queue_idlist of integersOptional

The ACD queue ID list to filter separated by semicolons (;)

user_idlist of integersOptional

The user ID list to filter separated by semicolons (;)

operator_hangupbooleanOptional
Whether to get the calls terminated by the operator
unservicedbooleanOptional
Whether the call is unserviced by the operator
min_waiting_timeintegerOptional
The min waiting time filter
rejectedbooleanOptional

Whether the call is rejected calls by the ‘max_queue_size’, ‘max_waiting_time’ threshold

with_eventsbooleanOptionalDefaults to false
Whether to get the bound events
with_headerbooleanOptionalDefaults to true

Whether to get a CSV file with the column names if the output=csv

desc_orderbooleanOptional
Whether to get records in the descent order
countintegerOptionalDefaults to 20
The max returning record count
offsetintegerOptionalDefaults to 0

The first N records are skipped in the output

outputstringOptionalDefaults to json

The output format. The following values available: json, csv, xls. The default value is json

Response

Successful response
resultlist of objects
total_countinteger
The total found ACD session count
countinteger
The returned ACD session count